module.exports = {
    method: 'POST',
    url: 'https://td-ws.gruposancristobal.org.ar/ws_nsiis/ws_mda.asmx/MDA_ResolverLogicaMasiva_JTJSON',
    headers: {
      'Cache-Control': 'no-cache',
      Authorization: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIyMDE4MDU3NzQ2IiwiVXNlcklkIjoxMTIyNiwibmJmIjoxNTIwMjY1NTQzLCJleHAiOjE1MjU0NDk1NDN9.zsZowUDHzhYVa-LIqxo1oljfoYF3_J1-z3fF0FmecTo',
      'Content-Type': 'application/json'
    },
    body: {
      llIdTipoCalculo: 1,
      parametrosMDAInput: {
        Destino: [
            {
              Ramo: '01',
              Casa: '01',
              Delegacion: '02',
              Agencia: '49',
              Moneda: '00',
              Productor: '000538',
              Organizador: '999999',
              'Cantidad de Cuotas': '0001',
              'Codigo Operacion': '0111',
              Empresa: '0000',
              'Tarjeta de Credito': '0000',
              'Cliente Especial': '0000',
              'Codigo IVA': 'N',
              'Codigo IB': '0N',
              'Cobertura RC I': '02',
              'Cobertura RC II': '02',
              'Cobertura Daños': '03',
              'Fecha Calculo': '2018-05-08T12:00:00',
              'Cobertura Robo': '01',
              'Codigo Postal del Riesgo': '2000',
              'Provincia del Riesgo': '19',
              Categoria: '02',
              Tipo: '01',
              Uso: '01',
              Capacidad: '00',
              Origen: '9999',
              'Franquicia RC': '01',
              'Franquicia Casco': '16',
              'Año Vehiculo': '2017-01-01T00:00:00',
              'Descuento RC': '01',
              'Ajuste Automatico': '01',
              'Prestador Satelital': '00',
              'Codigo B': '1',
              'Codigo C': '7',
              'Estado Vehiculo': '1',
              'Codigo E': '1',
              'Fecha Inicio Vigencia': '2018-05-08T12:00:00',
              'Codigo F': '1',
              'Codigo G': '0',
              Jurisdiccion: '0',
              'Codigo I': '0',
              'Codigo J': '1',
              'Tipo de Carga': '0',
              'Tipo de Servicio': '0',
              'Inst. Serv. Sat.': '0',
              'Combustible Adicional': '0',
              'Codigo O': '0',
              'Codigo P': '0',
              'Codigo Q': '2',
              'Codigo R': '1',
              'Codigo S': '1',
              'Codigo T': '1',
              'Codigo U': '01',
              'Codigo V': '00',
              'Codigo W': '01',
              'Codigo X': '00',
              'Codigo Y': '01',
              'Codigo Z': '01',
              'Tipo Ramo': '00',
              'Suma Asegurada': 495000,
              Anticipo: 0,
              'Fecha Fin Vigencia': '2018-11-08T12:00:00',
              Articulo: '0',
              'Fecha Actual': '2018-05-08T12:00:00',
              'Suma Asegurada Accesorios': 0,
              'Ptos Cedidos Prod': 0,
              'Ptos Cedidos Org': 0,
              'Recargo Admin. Extra': 0,
              'Fecha Primer Vencimiento': '2018-05-23T12:00:00',
              'Valor 0 Km': 596000,
              'Prima Ingresada': 0,
              'Premio Ingresado': 0,
              'IImporte Derecho Emision': 0,
              'IImporte Fondo Prevision': 0,
              'IPorcentaje Fondo Prevision': 0,
              'IPorcentaje Recargo Administrativo': 0,
              'IPorcentaje Recargo Financiero': 0,
              Convenio: '',
              'Tipo de Persona': '',
              'Condicion de Venta IVA': '01',
              'Condicion de Venta IB': '01',
              'Codigo D': '1',
              'Codigo K': '0',
              'Codigo N': '',
              'Codigo A': '1',
              'Codigo H': '01',
              'Codigo L': '1',
              'Codigo M': '1',
              'Tiene CNRT': '',
              'Cantidad Acreedores': 0,
              'Grupo Calculo': 'C',
              Usuario: 'EM109999',
              'Actividad del Socio': '',
              'Texto Adicional': '',
              'Tipo Seguro': '0',
              Marca: '00003',
              Modelo: '00021',
              Version: '009136',
              'Texto Impresion': '',
              IdOperacionE: 301,
              ModalidaddePago: '01',
              Facturacion: '',
              ComisionProductorInformada: 0,
              ComisionOrganizadorInformada: 0,
              CantidadConductores: 0,
              SocioNro: '',
              TarjetaNrox6: '',
              ExigeCombustible: '',
              TipoOperacion: '',
              'C.U.I.T.': '',
              DelegaciondelAgente: '02',
              AgenciadelAgente: '',
              SocioTomador: '',
              RenovadorNro: '',
              Patente: '',
              SumaAseguradaCatalogo: 495000,
              ClaveCBU: '',
              IniciodeVigenciaEmision: '1900-01-01T00:00:00',
              CausaModificacion: '',
              FactorCotizacionDia: 0,
              FactorCotizacionEmision: 0,
              CantidadMesesVigencia: 0,
              UltimoDigitoPoliza: 0,
              FechaRetroactividadRenovada: '1900-01-01T00:00:00',
              NroPolizaRetroactividad: 0,
              NroPolizaRenovada: 0,
              ClausulasRenovacion: '',
              NroCuotasImpagas: 0,
              CantidadAccesorios: 0,
              CombustibleTipo: '00',
              IncisoNro: 0,
              FechaEmision: '2018-05-08T00:00:00-03:00',
              CoberturaRoboAnterior: '',
              'CoberturaDañosAnterior': '',
              FranquiciaCascoAnterior: '',
              FranquiciaRCAnterior: '',
              FechaInspeccion: '1900-01-01T00:00:00',
              EstadoOperativoE: '00',
              MovimientoE: '00',
              CodigoCOriginal: '7',
              CodigoPostalZonaActivaProductor: '2000',
              TipoReaseguro: '01',
              Calificacion: 0,
              CantidadIncisosEndoso0: 0,
              VencimientoVTV: '2018-11-07T12:00:00',
              TipoDocumento: '96',
              NumeroDocumento: '000000000000000000000031437707',
              CalculaPremio: '',
              CantidadContratistas: 0,
              DescuentoRoboTotal: 0,
              DescripcionTarjetaCredito: '',
              SucursalSuscriptora: '',
              FilialBanco: '',
              NroPrestamo: '',
              NroOperacion: '',
              RUTA: '',
              NombreAsegurado: '',
              CuitAsegurado: '',
              NombreSocio: '',
              CuitSocio: '',
              DireccionSocio: '',
              LocalidadSocio: '',
              NombreAcreedorPrendario: '',
              NombreContratista: '',
              NombreConductor: '',
              UbicacionRiesgo: 'SANTA FE - ROSARIO(2000)',
              Variante: '01',
              DomicilioAsegurado: '',
              LocalidadAsegurado: '',
              ClausulasRenovacionNuevas: '',
              FechaNotificacionClausula: '1900-01-01T00:00:00',
              FechaInicioVigenciaAnteriorE: '1900-01-01T00:00:00',
              FechaFinVigenciaAnteriorE: '1900-01-01T00:00:00',
              PrimaAnteriorE: 0,
              'CA-RC3.2': 'N',
              'CA-RC12.2': 'N',
              'CA-RC11.2': 'N',
              MontoFranquicia: 0,
              CantidadAccesoriosAnterior: 0,
              SumaAseguradaAnterior: 0,
              PropuestaNro: 0,
              PrimaDesvioAnterior: 0,
              CodigoPostaldelSocio: '',
              ID_DireccionRiesgo: 0,
              Dsc_DirRiesgo: '',
              ID_DireccionSocio: 0,
              Dsc_DirSocio: '',
              Referencia0Km: 596000,
              PrimaAccesoriosE: 0,
              PrimaRCILesionesE: 0,
              PrimaRCICosasE: 0,
              PrimaRCIILesionesE: 0,
              PrimaRCIICosasE: 0,
              PrimaHuelgaCascoE: 0,
              PrimaRoboTotalE: 0,
              PrimaRoboParcialE: 0,
              PrimaIncendioTotalE: 0,
              PrimaIncendioParcialE: 0,
              PrimaAccidenteTotalE: 0,
              PrimaAccidenteParcialE: 0,
              PrimaHuelgaRCE: 0,
              PrimaAdicionalE: 0,
              PrimaFranquiciaRCE: 0,
              PrimaFranquiciaCascoE: 0,
              'CódigoCAnterior': 0,
              SexoTomador: 'F',
              FechaNacimientoTomador: '1985-01-07T00:00:00',
              SexoAsegurado: 'F',
              FechaNacimientoAsegurado: '1985-01-07T00:00:00',
              CristalesTecho: '',
              RPrimaAccidenteParcial: 0,
              RPrimaAccidenteTotal: 0,
              RPrimaIncendioParcial: 0,
              RPrimaIncendioTotal: 0,
              RPrimaRCICosas: 0,
              RPrimaRCILesiones: 0,
              RPrimaRCIILesiones: 0,
              RPrimaRoboParcial: 0,
              RPrimaRoboTotal: 0,
              IdCalculoREntrada: 0,
              ATopeInferior: 0,
              BTopeSuperior: 0,
              FFactorMercado: 0,
              PMPrimaMercadoRC: 0,
              TMTasaMercadoCasco: 0,
              ServicioEspecialAnteriorE: 0,
              Inflacion: 0,
              Color: 0,
              SmartSiniestros3Anios: 0,
              SmartSiniestros1Anio: 0,
              SmartSiniestros6Meses: 0,
              SmartZonaActual: '',
              SmartZonaNueva: '',
              SmartCustomerTenureAtSC: 0,
              SmartZoneRatePriorYr: 0,
              SmartZoneSeverityPriorYr: 0,
              SmartMarcaRatePriorYr: 0,
              SmartMarcaSeverityPriorYr: 0,
              SmartModeloRatePriorYr: 0,
              SmartModeloSeverityPriorYr: 0,
              SmartCategoriaRatePriorYr: 0,
              SmartCategoriaSeverityPriorYr: 0,
              SmartProvinciaUrbana: 0,
              SmartInflationCorrectionJan2017: 0,
              FactorHEMDA: 0,
              FactorHRMDA: 0,
            },
            {
              Ramo: '01',
              Casa: '01',
              Delegacion: '02',
              Agencia: '49',
              Moneda: '00',
              Productor: '000538',
              Organizador: '999999',
              'Cantidad de Cuotas': '0001',
              'Codigo Operacion': '0111',
              Empresa: '0000',
              'Tarjeta de Credito': '0000',
              'Cliente Especial': '0000',
              'Codigo IVA': 'N',
              'Codigo IB': '0N',
              'Cobertura RC I': '02',
              'Cobertura RC II': '02',
              'Cobertura Daños': '03',
              'Fecha Calculo': '2018-05-08T12:00:00',
              'Cobertura Robo': '01',
              'Codigo Postal del Riesgo': '2000',
              'Provincia del Riesgo': '19',
              Categoria: '02',
              Tipo: '01',
              Uso: '01',
              Capacidad: '00',
              Origen: '9999',
              'Franquicia RC': '01',
              'Franquicia Casco': '16',
              'Año Vehiculo': '2017-01-01T00:00:00',
              'Descuento RC': '01',
              'Ajuste Automatico': '01',
              'Prestador Satelital': '00',
              'Codigo B': '1',
              'Codigo C': '7',
              'Estado Vehiculo': '1',
              'Codigo E': '1',
              'Fecha Inicio Vigencia': '2018-05-08T12:00:00',
              'Codigo F': '1',
              'Codigo G': '0',
              Jurisdiccion: '0',
              'Codigo I': '0',
              'Codigo J': '1',
              'Tipo de Carga': '0',
              'Tipo de Servicio': '0',
              'Inst. Serv. Sat.': '0',
              'Combustible Adicional': '0',
              'Codigo O': '0',
              'Codigo P': '0',
              'Codigo Q': '2',
              'Codigo R': '1',
              'Codigo S': '1',
              'Codigo T': '1',
              'Codigo U': '01',
              'Codigo V': '00',
              'Codigo W': '01',
              'Codigo X': '00',
              'Codigo Y': '01',
              'Codigo Z': '01',
              'Tipo Ramo': '00',
              'Suma Asegurada': 495000,
              Anticipo: 0,
              'Fecha Fin Vigencia': '2018-11-08T12:00:00',
              Articulo: '0',
              'Fecha Actual': '2018-05-08T12:00:00',
              'Suma Asegurada Accesorios': 0,
              'Ptos Cedidos Prod': 0,
              'Ptos Cedidos Org': 0,
              'Recargo Admin. Extra': 0,
              'Fecha Primer Vencimiento': '2018-05-23T12:00:00',
              'Valor 0 Km': 596000,
              'Prima Ingresada': 0,
              'Premio Ingresado': 0,
              'IImporte Derecho Emision': 0,
              'IImporte Fondo Prevision': 0,
              'IPorcentaje Fondo Prevision': 0,
              'IPorcentaje Recargo Administrativo': 0,
              'IPorcentaje Recargo Financiero': 0,
              Convenio: '',
              'Tipo de Persona': '',
              'Condicion de Venta IVA': '01',
              'Condicion de Venta IB': '01',
              'Codigo D': '1',
              'Codigo K': '0',
              'Codigo N': '',
              'Codigo A': '1',
              'Codigo H': '01',
              'Codigo L': '1',
              'Codigo M': '1',
              'Tiene CNRT': '',
              'Cantidad Acreedores': 0,
              'Grupo Calculo': 'C',
              Usuario: 'EM109999',
              'Actividad del Socio': '',
              'Texto Adicional': '',
              'Tipo Seguro': '0',
              Marca: '00003',
              Modelo: '00021',
              Version: '009136',
              'Texto Impresion': '',
              IdOperacionE: 301,
              ModalidaddePago: '01',
              Facturacion: '',
              ComisionProductorInformada: 0,
              ComisionOrganizadorInformada: 0,
              CantidadConductores: 0,
              SocioNro: '',
              TarjetaNrox6: '',
              ExigeCombustible: '',
              TipoOperacion: '',
              'C.U.I.T.': '',
              DelegaciondelAgente: '02',
              AgenciadelAgente: '',
              SocioTomador: '',
              RenovadorNro: '',
              Patente: '',
              SumaAseguradaCatalogo: 495000,
              ClaveCBU: '',
              IniciodeVigenciaEmision: '1900-01-01T00:00:00',
              CausaModificacion: '',
              FactorCotizacionDia: 0,
              FactorCotizacionEmision: 0,
              CantidadMesesVigencia: 0,
              UltimoDigitoPoliza: 0,
              FechaRetroactividadRenovada: '1900-01-01T00:00:00',
              NroPolizaRetroactividad: 0,
              NroPolizaRenovada: 0,
              ClausulasRenovacion: '',
              NroCuotasImpagas: 0,
              CantidadAccesorios: 0,
              CombustibleTipo: '00',
              IncisoNro: 0,
              FechaEmision: '2018-05-08T00:00:00-03:00',
              CoberturaRoboAnterior: '',
              'CoberturaDañosAnterior': '',
              FranquiciaCascoAnterior: '',
              FranquiciaRCAnterior: '',
              FechaInspeccion: '1900-01-01T00:00:00',
              EstadoOperativoE: '00',
              MovimientoE: '00',
              CodigoCOriginal: '7',
              CodigoPostalZonaActivaProductor: '2000',
              TipoReaseguro: '01',
              Calificacion: 0,
              CantidadIncisosEndoso0: 0,
              VencimientoVTV: '2018-11-07T12:00:00',
              TipoDocumento: '96',
              NumeroDocumento: '000000000000000000000031437707',
              CalculaPremio: '',
              CantidadContratistas: 0,
              DescuentoRoboTotal: 0,
              DescripcionTarjetaCredito: '',
              SucursalSuscriptora: '',
              FilialBanco: '',
              NroPrestamo: '',
              NroOperacion: '',
              RUTA: '',
              NombreAsegurado: '',
              CuitAsegurado: '',
              NombreSocio: '',
              CuitSocio: '',
              DireccionSocio: '',
              LocalidadSocio: '',
              NombreAcreedorPrendario: '',
              NombreContratista: '',
              NombreConductor: '',
              UbicacionRiesgo: 'SANTA FE - ROSARIO(2000)',
              Variante: '01',
              DomicilioAsegurado: '',
              LocalidadAsegurado: '',
              ClausulasRenovacionNuevas: '',
              FechaNotificacionClausula: '1900-01-01T00:00:00',
              FechaInicioVigenciaAnteriorE: '1900-01-01T00:00:00',
              FechaFinVigenciaAnteriorE: '1900-01-01T00:00:00',
              PrimaAnteriorE: 0,
              'CA-RC3.2': 'N',
              'CA-RC12.2': 'N',
              'CA-RC11.2': 'N',
              MontoFranquicia: 0,
              CantidadAccesoriosAnterior: 0,
              SumaAseguradaAnterior: 0,
              PropuestaNro: 0,
              PrimaDesvioAnterior: 0,
              CodigoPostaldelSocio: '',
              ID_DireccionRiesgo: 0,
              Dsc_DirRiesgo: '',
              ID_DireccionSocio: 0,
              Dsc_DirSocio: '',
              Referencia0Km: 596000,
              PrimaAccesoriosE: 0,
              PrimaRCILesionesE: 0,
              PrimaRCICosasE: 0,
              PrimaRCIILesionesE: 0,
              PrimaRCIICosasE: 0,
              PrimaHuelgaCascoE: 0,
              PrimaRoboTotalE: 0,
              PrimaRoboParcialE: 0,
              PrimaIncendioTotalE: 0,
              PrimaIncendioParcialE: 0,
              PrimaAccidenteTotalE: 0,
              PrimaAccidenteParcialE: 0,
              PrimaHuelgaRCE: 0,
              PrimaAdicionalE: 0,
              PrimaFranquiciaRCE: 0,
              PrimaFranquiciaCascoE: 0,
              'CódigoCAnterior': 0,
              SexoTomador: 'F',
              FechaNacimientoTomador: '1985-01-07T00:00:00',
              SexoAsegurado: 'F',
              FechaNacimientoAsegurado: '1985-01-07T00:00:00',
              CristalesTecho: '',
              RPrimaAccidenteParcial: 0,
              RPrimaAccidenteTotal: 0,
              RPrimaIncendioParcial: 0,
              RPrimaIncendioTotal: 0,
              RPrimaRCICosas: 0,
              RPrimaRCILesiones: 0,
              RPrimaRCIILesiones: 0,
              RPrimaRoboParcial: 0,
              RPrimaRoboTotal: 0,
              IdCalculoREntrada: 0,
              ATopeInferior: 0,
              BTopeSuperior: 0,
              FFactorMercado: 0,
              PMPrimaMercadoRC: 0,
              TMTasaMercadoCasco: 0,
              ServicioEspecialAnteriorE: 0,
              Inflacion: 0,
              Color: 0,
              SmartSiniestros3Anios: 0,
              SmartSiniestros1Anio: 0,
              SmartSiniestros6Meses: 0,
              SmartZonaActual: '',
              SmartZonaNueva: '',
              SmartCustomerTenureAtSC: 0,
              SmartZoneRatePriorYr: 0,
              SmartZoneSeverityPriorYr: 0,
              SmartMarcaRatePriorYr: 0,
              SmartMarcaSeverityPriorYr: 0,
              SmartModeloRatePriorYr: 0,
              SmartModeloSeverityPriorYr: 0,
              SmartCategoriaRatePriorYr: 0,
              SmartCategoriaSeverityPriorYr: 0,
              SmartProvinciaUrbana: 0,
              SmartInflationCorrectionJan2017: 0,
              FactorHEMDA: 0,
              FactorHRMDA: 0,
            }
        ]
      },
      lsTipoResolver: 'M',
    },
    json: true,
};
